<template>
  <div class="order-icon-status">
    <template v-if="['BOOKED', 'ALLOCATED'].includes(status)">
      <svg width="11" height="10" viewBox="0 0 11 10" fill="none"
           xmlns="http://www.w3.org/2000/svg">
        <path fill-rule="evenodd" clip-rule="evenodd"
              d="M10.6332 0.199103C11.0469 0.51997 11.1219 1.11511 10.8007 1.52839L4.50181 9.63362C4.33179 9.85239 4.07446 9.98587 3.79753 9.99894C3.52061 10.012 3.25182 9.90336 3.06192 9.70157L0.257407 6.72153C-0.101332 6.34034 -0.0828355 5.74079 0.29872 5.38239C0.680276 5.024 1.2804 5.04248 1.63914 5.42367L3.68394 7.59643L9.30266 0.366428C9.62384 -0.0468497 10.2195 -0.121764 10.6332 0.199103Z"
              fill="#10CF96"/>
      </svg>
    </template>
    <template v-else-if="status === 'CONTRACTED'">
      <svg width="16" height="9" viewBox="0 0 16 9" fill="none"
           xmlns="http://www.w3.org/2000/svg">
        <path fill-rule="evenodd" clip-rule="evenodd"
              d="M10.9502 0.189844C11.3611 0.495162 11.4349 1.06063 11.115 1.45286L5.24375 8.65283C5.07472 8.86011 4.81926 8.98656 4.54439 8.99899C4.26953 9.01143 4.00269 8.90861 3.81388 8.71752L0.256942 5.11753C-0.10033 4.75594 -0.0828772 4.18634 0.295925 3.84529C0.674726 3.50425 1.27143 3.52091 1.6287 3.8825L4.43119 6.71891L9.62704 0.34721C9.94689 -0.0450193 10.5393 -0.115474 10.9502 0.189844ZM15.6363 0.189844C16.0472 0.495162 16.121 1.06063 15.8011 1.45286L9.92986 8.65283C9.76083 8.86011 9.50537 8.98656 9.2305 8.99899C8.95564 9.01143 8.6888 8.90861 8.49999 8.71752L7.61076 7.81752C7.25348 7.45593 7.27094 6.88633 7.64974 6.54528C8.02854 6.20424 8.62525 6.2209 8.98252 6.58249L9.1173 6.71891L14.3132 0.34721C14.633 -0.0450193 15.2254 -0.115474 15.6363 0.189844Z"
              fill="#10CF96"/>
      </svg>
    </template>
    <template v-else-if="status === 'IN_PROCESS'">
      <svg width="21" height="8" viewBox="0 0 21 8" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g filter="url(#filter0_i)">
          <rect width="21" height="8" rx="2" fill="#C4D5ED" fill-opacity="0.5"/>
        </g>
        <mask id="mask0" mask-type="alpha" maskUnits="userSpaceOnUse" x="0" y="0" width="21" height="8">
          <rect width="21" height="8" rx="2" fill="white"/>
        </mask>
        <g mask="url(#mask0)">
          <path d="M0 0.35C0 0.1567 0.1567 0 0.35 0C0.5433 0 0.7 0.1567 0.7 0.35V7.65C0.7 7.8433 0.5433 8 0.35 8C0.1567 8 0 7.8433 0 7.65V0.35Z" fill="#10CF96"/>
        </g>
        <defs>
          <filter id="filter0_i" x="0" y="0" width="21" height="9" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
            <feFlood flood-opacity="0" result="BackgroundImageFix"/>
            <feBlend mode="normal" in="SourceGraphic" in2="BackgroundImageFix" result="shape"/>
            <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>
            <feOffset dy="1"/>
            <feGaussianBlur stdDeviation="1"/>
            <feComposite in2="hardAlpha" operator="arithmetic" k2="-1" k3="1"/>
            <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0.294 0 0 0 0 0.784 0 0 0 0.2 0"/>
            <feBlend mode="normal" in2="shape" result="effect1_innerShadow"/>
          </filter>
        </defs>
      </svg>
    </template>
    <template v-else-if="['PROCESSED', 'EXECUTION_CONFIRMED', 'INVOICING', 'INVOICED', 'PAY_PROCESS', 'PAID'].includes(status)">
      <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path fill-rule="evenodd" clip-rule="evenodd" d="M2.71236 3.6438L6.53487 14.6004L5.40509 15L1.58259 4.04343L2.71236 3.6438Z" fill="#0FB785"/>
        <path d="M14.439 1L13.5567 1.77155C13.5567 1.77155 12.2622 2.83827 10.9706 2.83827C10.3814 2.83827 9.91125 2.59862 9.32206 2.3619C8.67482 2.06672 7.91148 1.65172 6.79404 1.65172C3.61587 1.65172 1.79315 3.6069 1.67415 3.72672L1.5 3.90207L4.55916 12.5498L5.20351 11.8981C5.20351 11.8981 6.61699 10.4778 8.02757 10.4778C8.90991 10.4778 9.44106 10.656 9.91125 10.7729C10.3814 10.8928 10.8516 11.071 11.5569 11.071C12.9704 11.071 14.1459 10.4193 14.204 10.4193L14.5 10.241L14.439 1ZM13.3216 9.53087C12.9704 9.70622 12.2622 9.94586 11.4989 9.94586C10.9706 9.94586 10.6165 9.82604 10.1464 9.70622C9.55716 9.53086 8.97086 9.35259 7.91148 9.35259C6.73309 9.35259 5.61565 10.0628 4.96841 10.5362L2.79448 4.20017C3.32273 3.72672 4.73331 2.71845 6.85209 2.71845C7.67638 2.71845 8.26267 3.01362 8.90991 3.31172C9.55716 3.6069 10.1464 3.90207 11.0287 3.90207C11.911 3.90207 12.7934 3.54845 13.3826 3.1919V9.53087H13.3216Z" fill="#0FB785"/>
        <path d="M2.14748 4.02189C2.14748 4.02189 3.02982 3.07498 4.26335 2.65999L5.20374 5.02724C5.20374 5.02724 4.02825 5.44223 3.02982 6.39206L2.14748 4.13879V4.02189ZM5.14569 5.08861L6.14703 7.63413C6.14703 7.63413 6.91037 7.33896 7.44151 7.33896C7.96976 7.33896 8.498 7.39741 8.498 7.39741L7.79271 4.67361C7.79271 4.67361 7.61566 4.67361 7.32252 4.67361C6.14703 4.67361 5.14569 5.08861 5.14569 5.08861ZM3.97021 9.11586L4.7945 11.4831C4.7945 11.4831 5.96998 10.3579 7.02937 10.0628L6.08608 7.63413C5.08764 8.04913 3.97021 9.11586 3.97021 9.11586Z" fill="#0FB785"/>
        <path d="M7.1451 2.18654L7.79271 4.67361C8.32385 4.67361 9.79212 5.38379 9.79212 5.38379L9.20583 2.77689C8.90978 2.71844 8.02744 2.24499 7.1451 2.18654ZM8.49764 7.45586L9.20583 10.0628C9.55703 10.0628 10.5584 10.4778 10.9705 10.4778L10.3813 7.92931C9.79212 7.75396 8.90978 7.45586 8.49764 7.45586ZM9.79212 5.44224L10.3233 7.87086C10.3233 7.87086 10.8515 7.99069 11.2637 7.99069C11.6758 7.99069 12.146 7.92931 12.146 7.92931L11.9689 5.67897C11.9689 5.67897 11.6178 5.79879 11.1447 5.79879C10.4974 5.79879 9.79212 5.44224 9.79212 5.44224ZM11.7919 3.25034L11.9689 5.67897C11.9689 5.67897 12.8513 5.44224 13.8526 4.67361V2.18654C12.7352 3.07499 11.7919 3.25034 11.7919 3.25034ZM12.146 7.92931C12.146 7.92931 13.0283 7.75396 13.8526 7.28051V9.94586C12.9703 10.3579 12.323 10.4778 12.323 10.4778L12.146 7.92931Z" fill="#0FB785"/>
      </svg>
    </template>
    <template v-else-if="status === 'CANCELED'">
      <i class="icon close -light-raspberry-red" style="font-size: 16px!important;"/>
    </template>
  </div>
</template>


<script>
  export default {
    name: 'OrderIconByStatus',
    props: {
      status: {
        type: String,
        default: null
      }
    }
  }
</script>
<style lang="scss" scoped>
  .order-icon-status {
    display: inline-flex;
    justify-content: center;
    align-items: center;
  }
</style>
